#ifndef __openSE_CONVERTERS_H
#define __openSE_CONVERTERS_H


void Convert32_32rgb888( void *s, void *d, int pixels );
void Convert32_32bgr888( void *s, void *d, int pixels );
void Convert32_24rgb888( void *s, void *d, int pixels );
void Convert32_24bgr888( void *s, void *d, int pixels );
void Convert32_16rgb565( void *s, void *d, int pixels );
void Convert32_16bgr565( void *s, void *d, int pixels );
void Convert32_16rgb555( void *s, void *d, int pixels );
void Convert32_16bgr555( void *s, void *d, int pixels );

// Assembler functions
extern "C"
{
void __cdecl mmx_memcpy( void *d, void *s, int bytes );
void __cdecl Convert32_32bgr888mmx( void *d, void *s,int pixels );
void __cdecl Convert32_24rgb888mmx( void *d, void *s,int pixels );
void __cdecl Convert32_24bgr888mmx( void *d, void *s,int pixels );
void __cdecl Convert32_16rgb565mmx( void *d, void *s,int pixels );
void __cdecl Convert32_16bgr565mmx( void *d, void *s,int pixels );
void __cdecl Convert32_16rgb555mmx( void *d, void *s,int pixels );
void __cdecl Convert32_16bgr555mmx( void *d, void *s,int pixels );
}

#endif
