// DDraw.h: interface for the CDDraw class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DDRAW_H__126ABC00_9FA8_47B7_9744_4D07090D52D2__INCLUDED_)
#define AFX_DDRAW_H__126ABC00_9FA8_47B7_9744_4D07090D52D2__INCLUDED_

#include <ddraw.h>

class CDDraw  
{
	friend class			openSE;
	friend class			CApplication;
	friend LRESULT CALLBACK	WndProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );

private:
	int						GetConverter();

protected:
    LPDIRECTDRAW7           m_pDD;

	LPDIRECTDRAWSURFACE7	m_pddsPrimary;
	LPDIRECTDRAWSURFACE7	m_pddsBackBuffer;

#ifdef __SE_WINDOWED__
	void					InitWindowed( HWND _hWnd, int _width, int _height );
#endif

#ifdef __SE_FULLSCREEN__
	void					InitFullscreen(  HWND _hWnd, int _width, int _height );
#endif

public:
	CDDraw( HWND _hWnd, int _width, int _height );
	~CDDraw();
};

#endif // !defined(AFX_DDRAW_H__126ABC00_9FA8_47B7_9744_4D07090D52D2__INCLUDED_)
